summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJason Wray <jason@mapbox.com>2019-02-25 16:29:30 -0800
committerJason Wray <jason@mapbox.com>2019-02-26 11:19:48 -0800
commitcced7db5118ca947455717574c175e5ce5b1a6f0 (patch)
tree64819a9d465be3787f512fb0e5758917c3e80d38
parent554992d733f69ae9b85db2ef8e01b01b273dfc73 (diff)
downloadqtlocation-mapboxgl-cced7db5118ca947455717574c175e5ce5b1a6f0.tar.gz
[ios, build] Trigger automated site and docs generation during releases
-rw-r--r--circle.yml1
-rwxr-xr-xplatform/ios/scripts/trigger-external-deploy-steps.sh34
2 files changed, 35 insertions, 0 deletions
diff --git a/circle.yml b/circle.yml
index d52c3ab063..2356c049cf 100644
--- a/circle.yml
+++ b/circle.yml
@@ -994,6 +994,7 @@ jobs:
export VERSION_TAG=${CIRCLE_TAG}
export GITHUB_TOKEN=${DANGER_GITHUB_API_TOKEN}
platform/ios/scripts/deploy-packages.sh
+ platform/ios/scripts/trigger-external-deploy-steps.sh
- save-dependencies
- collect-xcode-build-logs
- upload-xcode-build-logs
diff --git a/platform/ios/scripts/trigger-external-deploy-steps.sh b/platform/ios/scripts/trigger-external-deploy-steps.sh
new file mode 100755
index 0000000000..c1ee7c783f
--- /dev/null
+++ b/platform/ios/scripts/trigger-external-deploy-steps.sh
@@ -0,0 +1,34 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+function step { >&2 echo -e "\033[1m\033[36m* $@\033[0m"; }
+function finish { >&2 echo -en "\033[0m"; }
+trap finish EXIT
+
+SDK_FLAVOR=${SDK_FLAVOR:-"maps"}
+
+step "Triggering automated site and documentation generation for ${SDK_FLAVOR} SDK ${VERSION_TAG}"
+
+request_body="{
+ \"request\": {
+ \"message\": \"[${SDK_FLAVOR}] ${VERSION_TAG} automated site and documentation generation\",
+ \"config\": {
+ \"merge_mode\": \"deep_merge\",
+ \"env\": {
+ \"SDK_FLAVOR\": \"${SDK_FLAVOR}\",
+ \"RELEASE_TAG\": \"${VERSION_TAG}\"
+ }
+ }
+ }
+}"
+
+step "Making request…"
+
+curl -s -X POST \
+ -H "Content-Type: application/json" \
+ -H "Accept: application/json" \
+ -H "Travis-API-Version: 3" \
+ -H "Authorization: token ${TRAVISCI_API_TOKEN}" \
+ -d "${request_body}" \
+ https://api.travis-ci.com/repo/mapbox%2Fios-sdk/requests